using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using Telerik.Web.UI;

public partial class _Default : System.Web.UI.Page
{
    protected void radgrid1_NeedDataSource(object sender, GridNeedDataSourceEventArgs e)
    {
        DataTable table = new DataTable();
        table.Columns.Add("ID");
        table.Columns.Add("ProductNumber");
        table.Columns.Add("Item");
        table.Columns.Add("Date", typeof(DateTime));
        for (int i = 1; i < 20; i++)
        {
            table.Rows.Add(i, i+ 10, "Item" + i.ToString(), DateTime.Now.AddDays(i));
        }

        radgrid1.DataSource = table;
    }
    protected void radgrid1_ItemCommand(object sender, GridCommandEventArgs e)
    {

    }
    protected void radgrid1_DeleteCommand(object sender, GridCommandEventArgs e)
    {

    }
    protected void radgrid1_UpdateCommand(object sender, GridCommandEventArgs e)
    {

    }
    protected void radgrid1_ItemDataBound(object sender, GridItemEventArgs e)
    {

    }
    protected void radgrid1_InsertCommand(object sender, GridCommandEventArgs e)
    {

    }
}
